Subject: UUCPA announce: Two events you might be interested in

From: Gail Claspell <[email-masked]>
Date: Wed, 27 Apr 2005 14:54:09 -0700 (PDT)

Friends/UUCPA community members,

Below is information on two upcoming events – a weekend workshop sponsored by UUCPA and a year-long course.  I’ve done both of these.  I got so much out of them both that I have since given some money and a great deal of time to supporting both.

I’d like to invite you to join me at one or both of these events.  If you know of anyone in your circle of friends/communities who might also be interested, please forward this email to them.

If you have any questions, feel free to get in touch with me.

Gail

[email-masked] 

650.390.0403

(1) Antiracism Workshop: White People Working on Racism

Friday, May 27 (4:30 pm – 9 pm) and  

Saturday, May 28 (8:30 am – 9 pm) 

UUCPA

505 E. Charlton Road, Palo Alto

This workshop is for white people who are upset by the racism around them -- and in their own heads and hearts -- and who are searching for a way to begin their work for racial justice. It's also for people who already do antiracism work but want to enhance their skills and deepen their approach. And it's for anybody who wants a better understanding of how racism operates in our society and in us.

Space in the workshop is limited. Pre-registration is required.  For more information and to download the registration form go to http://antiracism.uucpa.org.

Gail note: I took this workshop in Philadelphia last November because I want to do more than just think that racism doesn’t serve life. I want to move toward action.  I learned a lot, not just about racism but about its affect on me, specific ways in which fear stops me and some things I can do.  One of my goals coming out of this workshop was to bring the workshop to my locale as a way to help foster awareness and dialogue within my communities.  The excellent facilitators will be flying out from Philadelphia specifically for this workshop.  I will be onsite during the workshop handling logistics. I look forward to rewarding conversations with workshop participants afterward.

(2) Exploring a Sense of Place

Orientation Evening

Monday, May 2, 2005 7:00 pm – 9:00 pm  NEXT WEEK

Foundation for Global Community 

222 High Street, Palo Alto

Registration for the orientation is not required.

The Sense of Place program is a year-long exploration of the San Francisquito watershed.  We meet 1 Monday evening and 1 Saturday day a month. This is an experiential course where you will be invited to engage all senses as we explore the incredibly diverse ecosystems found here.   Throughout the year we will learn from docents and guides who have a passion for their subject area that is infectious!

For more details go to http://www.fgconline.org/sense/

Gail note: I took this class the first year and helped organize the program in years 2, 3, and now 4.  Through my participation in this course I have connected in a deep, meaningful way to this place, to the life that surrounds us, as well as to many like-minded people. This class has enriched my life in immeasurable ways.  I’m looking forward to participating (and organizing) the program again this upcoming year.